<?xml version="1.0" encoding="UTF-8"?>
<RESOURCE_PROFILE>
	<HEADER>
		<RESOURCE_IDENTIFIER value="f715aea9-1f6c-4d07-bc65-3f0246447802_V29ya2Zsb3dEU1Jlc291cmNlcy9Xb3JrZmxvd0RTUmVzb3VyY2VUeXBl"/>
		<RESOURCE_TYPE value="WorkflowDSResourceType"/>
		<RESOURCE_KIND value="WorkflowDSResources"/>
		<RESOURCE_URI value=""/>
		<DATE_OF_CREATION value="2018-03-01T17:00:00.0Z"/>
	</HEADER>
	<BODY>
		<WORKFLOW_NAME>PUBLISH ON JRR</WORKFLOW_NAME>
		<WORKFLOW_DESCRIPTION>publish on catalogue and resource registry</WORKFLOW_DESCRIPTION>
		<WORKFLOW_INFO>
			<FIELD name="Action">Publish</FIELD>
			<FIELD name="Datasource class">Content Provider</FIELD>
		</WORKFLOW_INFO>
		<WORKFLOW_FAMILY>REPO_HI</WORKFLOW_FAMILY>
		<WORKFLOW_PRIORITY>20</WORKFLOW_PRIORITY>
		<CONFIGURATION status="EXECUTABLE" start="MANUAL">
			<PARAMETERS/>
			<WORKFLOW>
				<NODE name="VerifyDatasource" type="VerifyDatasource" isStart="true">
					<DESCRIPTION>Verify if DS is pending</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="expectedInterfaceTypologyPrefixes" value="dnet:repository"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="registerPublishWf"/>
						<ARC to="validateDs" name="validateDs"/>
					</ARCS>
				</NODE>
				<NODE name="validateDs" type="ValidateDatasource">
					<DESCRIPTION>Validate DS</DESCRIPTION>
					<PARAMETERS/>
					<ARCS>
						<ARC to="registerPublishWf"/>
					</ARCS>
				</NODE>
				<NODE name="registerPublishWf" type="RegisterWorkflowFromTemplate">
					<DESCRIPTION>Create Workflow</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="wfName" value="Publish on JRR"/>
						<PARAM name="wfTemplate" value="/eu/dnetlib/ariadneplus/workflows/repo-hi/JRR_publish_wf.xml.st"/>
						<PARAM name="description" value="publish on catalogue and resource registry"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="success"/>
					</ARCS>
				</NODE>
			</WORKFLOW>
		</CONFIGURATION>
		<NOTIFICATIONS/>
		<SCHEDULING enabled="false">
			<CRON>9 9 9 ? * *</CRON>
			<MININTERVAL>10080</MININTERVAL>
		</SCHEDULING>
		<STATUS/>
	</BODY>
</RESOURCE_PROFILE>
